Author Topic: MCF5222x and CW10  (Read 4050 times)

Offline johnr

  • Jr. Member
  • **
  • Posts: 91
    • View Profile
MCF5222x and CW10
« on: August 12, 2010, 06:48:11 PM »
Hi Everyone, it's been a while since I was on this site. We're been selling a product
based on a MCF52235 and uTasker V1.3 SP6. Thanks to Mark for his fine code and
support.
  We plan on developing a product based on the MCF5222x which has 256K
of internal Flash. This requires that we update from CW V6.3 to CW V10.
 I started poking around on the FreeScale site and Google and see that people have been having
problems importing old projects into CW V10. I've tried importing our old project and
get a vague error, " unsupported settings panel version in M52235EVB_ROM". A
guy also posted this error on the FreeScale site without getting any solutions. It seems the
V10 importer isn't very good. People complained about not being able to import FreeScale
sample code either.
 Anyone have any luck doing this ?

 Thanks,
 John

Offline mark

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3068
    • View Profile
    • uTasker
Re: MCF5222x and CW10
« Reply #1 on: August 12, 2010, 09:03:01 PM »
Hi John

I have not yet used CW10 so can't make any comments at the moment. Maybe someone else has done some work with it and can give some details?

As far as I know the IDE has been moved to an Eclipse based environment but that is about the end of my knowledge. I can't imagine that they use GCC though...

Regards

Mark

Offline mark

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3068
    • View Profile
    • uTasker
Re: MCF5222x and CW10
« Reply #2 on: March 14, 2011, 11:34:15 PM »
Hi

Please check out the new pre-release version which includes CodeWarrior 10.1 support: http://www.utasker.com/forum/index.php?topic=1310.0

Regards

Mark